package cn.com.countrygarden.bi.main.dao.ck.satisfaction;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.model.ck.satisfaction.SatisfiedDissatisfiedNationwide;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 *   不满意因素-全国数据层
 * </p>
 *
 * @author
 * @date 2021-08-06
 * @version V1.0
 */
@org.apache.ibatis.annotations.Mapper
public interface SatisfiedDissatisfiedNationwideMapper extends Mapper<SatisfiedDissatisfiedNationwide> {

    Long selectListDataToble(SatisfiedDissatisfiedNationwide satisfiedDissatisfiedNationwide);

    List<SatisfiedDissatisfiedNationwide> queryPageList(SatisfiedDissatisfiedNationwide satisfiedDissatisfiedNationwide);

    List<SatisfiedDissatisfiedNationwide> listBiao();

    List<SatisfiedDissatisfiedNationwide> getrevenue(@Param("startTime") String startTime, @Param("endTime") String endTime);

    int insertPL(@Param("orListIn") List<SatisfiedDissatisfiedNationwide> orListIn);

    List<String> niancha();

    int updateDelete();
}
